Description

Compatible With: Crusader Kings II 2.4.2. Checksum: YVMJ. Our hopefully much-awaited 2.4 compatibility patch! In addition to making the game not crash anymore when using 2.4, this patch fixes a few longstanding bugs, rebalances revolt risk, adds a bunch of new government types, and comes with two major new graphical improvements: new councillor models and new event pictures. Full changelog included.

Preview
Crisis of the Confederation Beta 0.12
Comments
7ty7
7ty7 - - 786 comments

Thanks for the update :)

Reply Good karma Bad karma+3 votes
ElusiveBlade21
ElusiveBlade21 - - 35 comments

This mod looks pretty unique and really needs more people downloading it :)

Reply Good karma Bad karma+3 votes
BrunstigHalvGud
BrunstigHalvGud - - 3 comments

You guys should make a Star Wars mod based on this concept ;)

Reply Good karma Bad karma+2 votes
Pith_Black
Pith_Black - - 2 comments

This work with 2.4.4?

Reply Good karma Bad karma+1 vote
theidioticgamer
theidioticgamer - - 14 comments

is one compatible with 2.4.1?

Reply Good karma Bad karma+1 vote
theidioticgamer
theidioticgamer - - 14 comments

also, how do i even download this?

Reply Good karma Bad karma+1 vote
Guest
Guest - - 698,884 comments

This comment is currently awaiting admin approval, join now to view.

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.